Bug 208980 - sysutils/qjail [Maintainer update] fix bug
Summary: sysutils/qjail [Maintainer update] fix bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-22 18:00 UTC by Joe Barbish
Modified: 2016-04-27 11:27 UTC (History)
2 users (show)

See Also:


Attachments
port_diff (1.56 KB, patch)
2016-04-22 18:00 UTC, Joe Barbish
qjail1: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Barbish 2016-04-22 18:00:56 UTC
Created attachment 169574 [details]
port_diff

Summary of 4.6 update

  1. jail(8) from 9.1 had problem with the way it handled syslogd processing
     during shutdown. As work around for qjail, just didn't enable syslogd 
     in the jails rc.conf file. With rel 10.3 this problem seems to be fixed.
     During "qjail install" command added code to to check if qjail is running
     on 10.3 or newer host and if so move the correct rc.conf file containing
     syslogd_enable="YES" to the flavors directory.
Comment 1 Florian Smeets freebsd_committer 2016-04-23 14:49:13 UTC
take
Comment 2 commit-hook freebsd_committer 2016-04-23 15:06:06 UTC
A commit references this bug:

Author: flo
Date: Sat Apr 23 15:05:21 UTC 2016
New revision: 413878
URL: https://svnweb.freebsd.org/changeset/ports/413878

Log:
  Update to 4.6

  PR:		208980
  Submitted by:	Joe Barbish <qjail1@a1poweruser.com>
  Sponsored by:	Essen Linuxhotel Hackathon 2016

Changes:
  head/sysutils/qjail/Makefile
  head/sysutils/qjail/distinfo
  head/sysutils/qjail/pkg-plist
Comment 3 Florian Smeets freebsd_committer 2016-04-23 15:06:21 UTC
Committed. Thanks.
Comment 4 Bartek Rutkowski freebsd_committer 2016-04-27 11:27:19 UTC
Seems like this is already completed and there's no action on it for a while, so I'm closing this PR.